2026 October Week 5 release: New APIs added and updates to existing APIs
Summary: Added new APIs for Account Notes. Updated APIs for Data Source. Updated APIs for Integration. Updated APIs for Meeting.
Account Notes
Released new feature - account notes apis for the first time.
- /v1/accounts/{accountId}/notes [get]
Data Source
Data Source (v v1)
What's Changed
POST /v1/datasources/versions/{versionId}/data
POST /v1/datasources/versions/{versionId}/dataParameters:
Changed: versionId in path
The datasource versionId
Return Type:
Changed response : 403 Forbidden
Forbidden
- Changed content type :
application/json
GET /v1/datasources/{id}/versions/{version}
GET /v1/datasources/{id}/versions/{version}Parameters:
Changed: id in path
The datasource Id
Changed:versioninpath
Accepts the literal string "latest" for the most recent version, a major.minor version string (e.g., "1.0", "3.0"), or a major-only version string (e.g., "1", "3") which resolves to the latest minor version within that major. Specifying "0.0" or "0" is equivalent to "latest".
GET /v1/datasources/versions/{versionId}/inputsInfo
GET /v1/datasources/versions/{versionId}/inputsInfoParameters:
Changed: versionId in path
The datasource versionId
Result
API changes broke backward compatibility
Integration
Integration (v v2)
What's Changed
GET /integration/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}
GET /integration/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}Return Type:
Changed response : 200 OK
OK
- Changed content type :
application/json- Added property
forms(array)Forms configured on the LiveDoc version.
Items (object):- Property
id(string)Identifier of the form.
- Property
name(string)Display name of the form.
- Property
isDefault(boolean)Whether this is the default form of the LiveDoc version.
- Property
title(string)Default document title saved on the form. Omitted when not set; if omitted, the template's own document properties are used at generation time.
- Property
subject(string)Default document subject saved on the form. Omitted when not set; if omitted, the template's own document properties are used at generation time.
- Property
keywords(string)Default document keywords saved on the form. Omitted when not set; if omitted, the template's own document properties are used at generation time.
- Property
outputs(array)Outputs configured on the form.
Items (object):- Property
format(string)Output format of this output, for example PPTX, DOCX, PDF, XLSX, GSLIDES or GDOC.
- Property
name(string)Name of the output.
- Property
pptxOptions(object)PPTX-specific options saved on the output, such as imageDpi and clearNotes. Omitted when not set.
- Property
docxOptions(object)DOCX-specific options saved on the output, such as imageDpi. Omitted when not set.
- Property
pdfOptions(object)PDF-specific options saved on the output, such as layout and compatibility. Omitted when not set.
- Property
xlsxOptions(object)XLSX-specific options saved on the output, such as datasource. Omitted when not set.
- Property
googleOptions(object)Google Slides and Google Docs options saved on the output. Omitted when not set.
- Property
- Property
- Added property
Result
API changes are backward compatible
Meeting
Meeting (v v1)
What's New
GET /v1/meetings/{meetingEngagementId}/agenda
GET /v1/meetings/{meetingEngagementId}/agendaGet the agenda of a meeting
GET /v1/meetings/{meetingEngagementId}/notes
GET /v1/meetings/{meetingEngagementId}/notesGet the notes of a meeting
What's Changed
POST /v1/meetings/{meetingEngagementId}/agenda
POST /v1/meetings/{meetingEngagementId}/agendaRequest:
Changed content type : application/json
- Changed property
text(string)The text of the agenda. Plain text, markdown and HTML are supported; HTML is sanitized. At most 100,000 bytes (UTF-8, including HTML tags).
Return Type:
Changed response : 400 Bad Request
Bad Request - Request payload failed validation. Ensure text is present and does not exceed 100,000 bytes (UTF-8, including HTML tags).
- Changed content type :
application/problem+json
POST /v1/meetings/{meetingEngagementId}/notes
POST /v1/meetings/{meetingEngagementId}/notesRequest:
Changed content type : application/json
- Changed property
text(string)The text of the notes. Plain text, markdown and HTML are supported; HTML is sanitized. At most 100,000 bytes (UTF-8, including HTML tags).
Return Type:
Changed response : 400 Bad Request
Bad Request - Request payload failed validation. Ensure text is present and does not exceed 100,000 bytes (UTF-8, including HTML tags).
- Changed content type :
application/problem+json